#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int n, br=0;
    cin >> n;
    vector<int> x,y;
    int input;
    for(int i=0;i<n;i++){
        cin>>input;
        x.push_back(input);
    }
    for(int i=0;i<n;i++){
        cin>>input;
        y.push_back(input);
    }
    for(int i=0;i<n;i++){
        cin>>input;
        for(int j=0;j<n;j++){
            if(x[j]==y[input-1])br++;
        }
    }
    cout<<br;
}